%define	real_name	Spreadsheet-WriteExcel

Summary:	Write formatted text and numbers to an Excel binary file.
Name:		perl-%{real_name}
Version:	0.42
Release:	1.5.1
Copyright:	XXX
Group:		Utilities/CPAN
Source0:	%{real_name}-%{version}.tar.gz
URL:		http://www.cpan.org/authors/id/J/JM/JMCNAMARA/
Requires:	perl
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description 
The Spreadsheet::WriteExcel module can be used to create a cross-
platform Excel binary file. Multiple worksheets can be added to a
workbook and formatting can be applied to cells. Text, numbers,
formulas, hyperlinks and images can be written to the cells.

%files -f package-filelist
  %defattr(-,root,root)

%prep
%setup -q -n %{real_name}-%{version}

%build
  OPTIMIZE="$RPM_OPT_FLAGS" perl Makefile.PL %{_prefix}
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  eval `perl '-V:installarchlib'`
  mkdir -p $RPM_BUILD_ROOT/$installarchlib

  make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
        INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_perlman}/man1 \
        INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_perlman}/man3 install

  gzip -9 $RPM_BUILD_ROOT/%{_perlman}/man3/*.* || :
  gzip -9 $RPM_BUILD_ROOT/%{_perlman}/man1/*.* || :

  find $RPM_BUILD_ROOT/usr -type f -print |\
        sed "s,^$RPM_BUILD_ROOT,,g" | grep -v perllocal.pod |\
        sed "s,/usr/lib/perl5/man,%doc \0,g" > package-filelist

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Feb 13 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.42, Release 1.5.0
  - Initial build for EnGarde, at the request of a customer.
